Bug 1011701 - Unable to compile ejb security quickstarts
Unable to compile ejb security quickstarts
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Quickstarts (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity unspecified
: ER4
: EAP 6.2.0
Assigned To: sgilda
Vladimir Rastseluev
:
: 1006897 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-24 17:23 EDT by Paul Gier
Modified: 2017-10-09 20:17 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-15 11:23:19 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Gier 2013-09-24 17:23:01 EDT
The ejb security quickstarts currently fail to compile due to an incompatible API.  This affects the modules: ejb-security-interceptors, ejb-security-plus, and ejb-security-propagation.

Example error message from the ejb-security-interceptors module:

[ERROR] Failed to execute goal org.apache.maven.plugins:maven-compiler-plugin:2.3.2:compile (default-compile) on project jboss-ejb-security-interceptors: Compilation failure: Compilation failure:
[ERROR] /home/pgier/projects/eap/quickstarts/ejb-security-interceptors/src/main/java/org/jboss/as/quickstarts/ejb_security_interceptors/OuterUserCredential.java:[19,46] cannot find symbol
[ERROR] symbol  : class RealmUser
[ERROR] location: package org.jboss.as.domain.management.security
[ERROR] /home/pgier/projects/eap/quickstarts/ejb-security-interceptors/src/main/java/org/jboss/as/quickstarts/ejb_security_interceptors/OuterUserCredential.java:[28,18] cannot find symbol
[ERROR] symbol  : class RealmUser
Comment 1 sgilda 2013-09-24 22:55:32 EDT
Adding Rafael.

Rafael, you said you could compile the ejb-security quickstarts? I had errors, although not the same as Paul.

I'll try this when I get back next week.
Comment 3 Rafael Benevides 2013-09-26 10:07:37 EDT
I was able to compile them:
[INFO] JBoss EAP Quickstart: ejb-security ................ SUCCESS [0.027s]
[INFO] JBoss EAP Quickstart: ejb-security-interceptors ... SUCCESS [0.674s]
[INFO] JBoss EAP Quickstart: ejb-security-plus ........... SUCCESS [0.096s]

using latest BOM and Quickstarts under 6.2.x branch
Comment 4 Rafael Benevides 2013-09-26 13:52:04 EDT
Now I was able to reproduce the error:

[ERROR] Failed to execute goal org.apache.maven.plugins:maven-compiler-plugin:2.3.2:compile (default-compile) on project jboss-ejb-security-interceptors: Compilation failure: Compilation failure:
[ERROR] /Users/rafaelbenevides/projetos/jdf/Quickstarts/jboss-eap-quickstarts/ejb-security-interceptors/src/main/java/org/jboss/as/quickstarts/ejb_security_interceptors/OuterUserCredential.java:[19,46] error: cannot find symbol
[ERROR] package org.jboss.as.domain.management.security
[ERROR] /Users/rafaelbenevides/projetos/jdf/Quickstarts/jboss-eap-quickstarts/ejb-security-interceptors/src/main/java/org/jboss/as/quickstarts/ejb_security_interceptors/OuterUserCredential.java:[28,18] error: cannot find symbol
[ERROR] class OuterUserCredential
[ERROR] /Users/rafaelbenevides/projetos/jdf/Quickstarts/jboss-eap-quickstarts/ejb-security-interceptors/src/main/java/org/jboss/as/quickstarts/ejb_security_interceptors/OuterUserCredential.java:[30,30] error: cannot find symbol
[ERROR] class OuterUserCredential
Comment 5 Paul Gier 2013-09-26 14:29:37 EDT
*** Bug 1006897 has been marked as a duplicate of this bug. ***
Comment 7 Rafael Benevides 2013-09-26 14:54:18 EDT
Added another commit for ejb-security-propagation: https://github.com/jboss-developer/jboss-eap-quickstarts/commit/22dfa2ac6
Comment 8 sgilda 2013-10-01 08:23:23 EDT
Rafael, where does this bug stand? Is this still an open issue? If so, send it back to me.
Comment 9 Rafael Benevides 2013-10-01 09:17:17 EDT
@Sgilda. It was fixed on master branch!
Comment 10 sgilda 2013-10-01 09:57:28 EDT
@rafabene: It looks like the package names changed. Does this mean these quickstarts will no longer work against older versions of EAP? 

If that's the case, do we need to change the instruction to tell them which version of the product it works against?
Comment 11 sgilda 2013-10-01 09:58:47 EDT
Just to verify: it looks like this impacts only the following quickstarts:

ejb-security-interceptors
ejb-security-plus
Comment 12 Rafael Benevides 2013-10-01 10:05:10 EDT
@sgilda. I'm not sure about the EAP version. We need to check it.
Comment 13 sgilda 2013-10-01 11:08:15 EDT
I just tested both quickstarts successfully using the existing Maven settings file  and the EAP 6.1 Maven settings, so we do not need to modify the README instructions.
Comment 14 Vladimir Rastseluev 2013-10-07 03:14:38 EDT
Verified on EAP 6.2.0 ER4

Note You need to log in before you can comment on or make changes to this bug.